package com.gic.haoban.manage.web.vo.moment;

import java.io.Serializable;
import java.util.Date;

/**
 * 
 * @ClassName: TabHaobanQwMomentPlan
 * @Description: TODO
 * @Author 徐高华
 * @Date 2025年03月05日 10:27:20
 * @Modify
 * @CopyRight 杭州
 */
public class MomentClerkExcelVO implements Serializable {

	private static final long serialVersionUID = 67027585759300L;

	private String staffId;
	/**
	 * 员工名称
	 */
	private String staffName ;
	/**导购*/
	private String clerkId;
	/**导购code*/
	private String clerkCode;
	/**导购名称*/
	private String clerkName;
	/**评论数*/
	private int commentCount;
	/**点赞数*/
	private int likeCount;
	/**0已失效 1待执行 2已执行*/
	private int taskStatus;
	private String taskStatusExcel ;
	/**任务执行时间*/
	private Date sendTime;
	private String sendTimeExcel ;
	/**企微朋友圈id*/
	private String momentId;
	/**企微获取数据时间*/
	private Date qwDataTime;
	/**门店id*/
	private String storeId;
	/**
	 * 门店名称
	 */
	private String storeName ;
	/**
	 * 门店code
	 */
	private String storeCode ;

	/**
	 * 下发失败原因
	 */
	private String reason ;

	public String getTaskStatusExcel() {
		return taskStatusExcel;
	}

	public void setTaskStatusExcel(String taskStatusExcel) {
		this.taskStatusExcel = taskStatusExcel;
	}

	public String getSendTimeExcel() {
		return sendTimeExcel;
	}

	public void setSendTimeExcel(String sendTimeExcel) {
		this.sendTimeExcel = sendTimeExcel;
	}

	public String getStaffId() {
		return staffId;
	}

	public void setStaffId(String staffId) {
		this.staffId = staffId;
	}

	public String getStaffName() {
		return staffName;
	}

	public void setStaffName(String staffName) {
		this.staffName = staffName;
	}

	public String getClerkId() {
		return clerkId;
	}

	public void setClerkId(String clerkId) {
		this.clerkId = clerkId;
	}

	public String getClerkCode() {
		return clerkCode;
	}

	public void setClerkCode(String clerkCode) {
		this.clerkCode = clerkCode;
	}

	public String getClerkName() {
		return clerkName;
	}

	public void setClerkName(String clerkName) {
		this.clerkName = clerkName;
	}

	public int getCommentCount() {
		return commentCount;
	}

	public void setCommentCount(int commentCount) {
		this.commentCount = commentCount;
	}

	public int getLikeCount() {
		return likeCount;
	}

	public void setLikeCount(int likeCount) {
		this.likeCount = likeCount;
	}

	public int getTaskStatus() {
		return taskStatus;
	}

	public void setTaskStatus(int taskStatus) {
		this.taskStatus = taskStatus;
	}

	public Date getSendTime() {
		return sendTime;
	}

	public void setSendTime(Date sendTime) {
		this.sendTime = sendTime;
	}

	public String getMomentId() {
		return momentId;
	}

	public void setMomentId(String momentId) {
		this.momentId = momentId;
	}

	public Date getQwDataTime() {
		return qwDataTime;
	}

	public void setQwDataTime(Date qwDataTime) {
		this.qwDataTime = qwDataTime;
	}

	public String getStoreId() {
		return storeId;
	}

	public void setStoreId(String storeId) {
		this.storeId = storeId;
	}

	public String getStoreName() {
		return storeName;
	}

	public void setStoreName(String storeName) {
		this.storeName = storeName;
	}

	public String getStoreCode() {
		return storeCode;
	}

	public void setStoreCode(String storeCode) {
		this.storeCode = storeCode;
	}

	public String getReason() {
		return reason;
	}

	public void setReason(String reason) {
		this.reason = reason;
	}
}